import 'package:apply/plugins/aspect_ratio.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:apply/core/framework.dart';
import 'package:apply/elements/div.dart';
import 'package:apply/plugins/width.dart';
import 'package:apply/apply.dart';

import 'dependencies/test_widget.dart';


void main() async {
  testWidgets('width test', (WidgetTester tester) async {
    var div = Div(style: "aspect-4/4 w-100 w-0.5");
    await TestWidget(child: div, tester: tester)();

    var widthPlugin = div.plugins?.getPluginById("width") as Width?;
    var aspectRatio = div.plugins?.getPluginById("aspectRatio") as AspectRatioP?;

    if (widthPlugin != null) {
      print(["Ima width", widthPlugin.getWidth()]);
    }

    if (aspectRatio != null) {
      print(["Ima aspect", aspectRatio.getValues()]);
    }
  });
}
